- [HTTP request](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.request_body)
- [Response body](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.engines.sessions/list#body.aspect_1)

Lists all Sessions by their parent `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/projects.locations.collections.dataStores#DataStore`.

### HTTP request

Choose an endpoint:
global us   
`GET https://discoveryengine.googleapis.com/v1beta/{parent=projects/*/locations/*/collections/*/engines/*}/sessions`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The data store resource name. Format: `projects/{project}/locations/{location}/collections/{collection}/dataStores/{dataStoreId}` |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of results to return. If unspecified, defaults to 50. Max allowed value is 1000. |
| `pageToken` | `string` A page token, received from a previous `sessions.list` call. Provide this to retrieve the subsequent page. |
| `filter` | `string` A comma-separated list of fields to filter by, in EBNF grammar. The supported fields are: - `user_pseudo_id` - `state` - `display_name` - `starred` - `is_pinned` - `labels` - `create_time` - `update_time` - `collaborativeProject` Examples: - `user_pseudo_id = some_id` - `display_name = "some_name"` - `starred = true` - `is_pinned=true AND (NOT labels:hidden)` - `create_time > "1970-01-01T12:00:00Z"` - `collaborativeProject = "projects/123/locations/global/collections/default_collection/engines/" "default_engine/collaborativeProjects/cp1"` |
| `orderBy` | `string` A comma-separated list of fields to order by, sorted in ascending order. Use "desc" after a field name for descending. Supported fields: - `update_time` - `create_time` - `session_name` - `is_pinned` - `display_name` Example: - `update_time desc` - `create_time` - `is_pinned desc,update_time desc`: list sessions by is_pinned first, then by update_time. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/gemini/enterprise/docs/reference/rest/v1beta/ListSessionsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/discoveryengine.assist.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.readwrite`
- `https://www.googleapis.com/auth/discoveryengine.serving.readwrite`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `discoveryengine.sessions.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).